<?php

session_start();

if (isset($_SESSION['login'])) {


?>

	<!DOCTYPE html>
	<html lang="pt-br">

	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<!-- Favicon -->
		<link rel="shortcut icon" href="assets/img/icon.jpg">
		<title>INTRANET MBM - Admin</title>
		<!-- Bootstrap 4 -->
		<link rel="stylesheet" type="text/css" href="assets/css/bootstrap/bootstrap.min.css">
		<!-- CSS da INDEX -->
		<link rel="stylesheet" href="assets/css/index.css">
		<!-- GoogleFonts - OpenSans -->
		<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
		<!-- Fontawesome 5.0-->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
	</head>

	<body>

		<!-- Init of Template -  -->

		<div class="d-flex">
			<nav class="sidebar">
				<ul class="list-unstyled">

					<!-- Image of Company -->

					<div class="image_company">
						<img src="assets/img/logo.png">
					</div><br><br>

					<span class="text-center logo">
						ADMINISTRATIVO
					</span>
					<hr>

					<!-- End Img -->

					<!-- List of Menu and Icons -->

					<li><a href="index.php"><i class="fa fa-home"></i> Início</a></li>

					<li><a href="listarOrcamento.php"><i class="far fa-calendar-check"></i> Orçamento</a></li>

					<li><a href="ordemServico.php"><i class="fas fa-concierge-bell"></i></i> Ordem de Serviço</a></li>

					<li><a href="listarContratos.php"><i class="far fa-newspaper"></i> Contratos</a></li>

					<li><a href="buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

					<li><a href="buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

					<li><a href="admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

					<!-- Button of Logoff -->

					<li><a href="controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

					<!-- End - Button of Logoff -->

				</ul>
			</nav>

			<!-- End of Menu -->

			<div class="content p-1">
				<div class="list-group-item" style="background-color: #eaeef3">

					<div class="mr-auto p-2">
						<h2 class="text-center"> Painel Administrativo <i class="fas fa-user-lock"></i></h2><br><br>
					</div>


					<!-- Inserindo usuário -->
					<div class="table-responsive">
						<table class="table table-hover">
							<thead class="thead">
								<tr>
									<th>FUNÇÃO</th>
									<th>AÇÕES</th>
								</tr>
							</thead>
							<tbody>

								<tr class="tr">
									<td>USUÁRIOS</td>

									<!-- Formulario para Transação -->
									<td>

										<form method="POST" action="view/add_transacao_user.php">

											<!-- Botão para Transação -->

											<button class="btn btn-warning btn-xs">
												<i class="far fa-plus-square"></i>
											</button>

											<!-- Fim - Botão -->

										</form>

									</td>
									<!-- Fim Formulario -->

								</tr>

								<tr class="tr">
									<td>CLIENTES</td>
									<td>

										<form method="POST" action="listar_cliente.php">

											<!-- Botão para Transação -->

											<button class="btn btn-warning btn-xs">
												<i class="far fa-plus-square"></i>
											</button>

											<!-- Fim - Botão -->

										</form>

									</td>
									<!-- Fim Formulario -->
								</tr>
								<tr class="tr">
									<td>PRODUTOS</td>

									<!-- Formulario para Transação -->
									<td>

										<form method="POST" action="listarProduto.php">

											<!-- Botão para Transação -->

											<button class="btn btn-warning btn-xs">
												<i class="far fa-plus-square"></i>
											</button>

											<!-- Fim - Botão -->

										</form>

									</td>
									<!-- Fim Formulario -->

								</tr>
								<tr class="tr">
									<td>SERVIÇOS</td>
									<td>

										<form method="POST" action="listarServico.php">

											<!-- Botão para Transação -->

											<button class="btn btn-warning btn-xs">
												<i class="far fa-plus-square"></i>
											</button>

											<!-- Fim - Botão -->

										</form>

									</td>
									<!-- Fim Formulario -->
								</tr>
								<tr class="tr">
									<td>PRAGAS</td>
									<td>

										<form method="POST" action="listarPraga.php">

											<!-- Botão para Transação -->

											<button class="btn btn-warning btn-xs">
												<i class="far fa-plus-square"></i>
											</button>

											<!-- Fim - Botão -->

										</form>

									</td>
									<!-- Fim Formulario -->
								</tr>
							</tbody>
						</table>
					</div>

					<!-- Fim da Tabela -->
				</div>
			</div>
		</div>


		</div>

		<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>

		<!-- End of Template - Marcos André -->

	</body>

	</html>

<?php

} else {
	header("Location: login.php?access_denied");
}

?>