<?php

session_start();

if (isset($_SESSION['login'])) {

	include_once 'model/conexao.class.php';
	include_once 'model/cliente.class.php';

	$cliente = new Cliente();


?>

	<!DOCTYPE html>
	<html lang="pt-br">

	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<!-- Favicon -->
		<link rel="shortcut icon" href="assets/img/icon.jpg">
		<title>INTRANET MBM - Buscar Cliente</title>
		<!-- Bootstrap 4 -->
		<link rel="stylesheet" type="text/css" href="assets/css/bootstrap/bootstrap.min.css">
		<!-- CSS da INDEX -->
		<link rel="stylesheet" href="assets/css/index.css">
		<!-- GoogleFonts - OpenSans -->
		<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
		<!-- Fontawesome 5.0-->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
		<!-- Filtrar tabela -->
		<link href="//cdn.datatables.net/1.10.15/css/jquery.dataTables.min.css" rel="stylesheet">
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

	</head>

	<body>


		<div class="d-flex">
			<nav class="sidebar">
				<ul class="list-unstyled">

					<!-- Image of Company -->

					<div class="image_company">
						<img src="assets/img/logo.png">
					</div><br><br>

					<span class="text-center logo">
						ADMINISTRATIVO
					</span>
					<hr>

					<!-- End Img -->



					<!-- List of Menu and Icons -->

					<li><a href="index.php"><i class="fa fa-home"></i> Ordem de Serviço</a></li>

					<li><a href="buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

					<li><a href="buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

					<li><a href="consultaAgenda.php"><i class="fas fa-calendar-alt"></i> Consultar Agenda</a></li>

					<li><a href="admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>


					<!-- Button of Logoff -->

					<li><a href="controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

					<!-- End - Button of Logoff -->

				</ul>
			</nav>

			<!-- End of Menu -->

			<div class="content p-1">
				<div class="list-group-item" style="background-color: #eaeef3">

<iframe src="https://calendar.google.com/calendar/embed?height=700&amp;wkst=1&amp;bgcolor=%23039BE5&amp;ctz=America%2FSao_Paulo&amp;src=am9hb192aXRvcjAyOTlAb3V0bG9vay5jb20&amp;src=YWRkcmVzc2Jvb2sjY29udGFjdHNAZ3JvdXAudi5jYWxlbmRhci5nb29nbGUuY29t&amp;src=cHQuYnJhemlsaWFuI2hvbGlkYXlAZ3JvdXAudi5jYWxlbmRhci5nb29nbGUuY29t&amp;color=%23039BE5&amp;color=%2333B679&amp;color=%230B8043&amp;mode=WEEK&amp;showTitle=0&amp;showTz=0&amp;showTabs=0&amp;showPrint=0" style="border-width:0" width="900" height="700" frameborder="0" scrolling="no"></iframe>	</body>

	</html>

<?php

} else {
	header("Location: login.php?access_denied");
}

?>