<?php

class Os extends Conexao
{

    //Método para listar clientes

    public function listaOs()
    {
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM ordem_servico";
        $sql = $pdo->prepare($sql);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    public function listaOsCliente($idcliente)
    {
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM ordem_servico WHERE cliente = :idCliente";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idCliente", $idcliente);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    public function listaOsAberta()
    {
        $pdo = parent::get_instance();
        $sql = "SELECT status_os FROM ordem_servico WHERE status_os = 'Aberta'";
        $sql = $pdo->prepare($sql);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    public function listaOsRetrabalho()
    {
        $pdo = parent::get_instance();
        $sql = "SELECT status_os FROM ordem_servico WHERE status_os = 'Retrabalho'";
        $sql = $pdo->prepare($sql);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    public function listaOsConcluida()
    {
        $pdo = parent::get_instance();
        $sql = "SELECT status_os FROM ordem_servico WHERE status_os = 'Concluída' OR status_os= 'Retrabalho Concluído'";
        $sql = $pdo->prepare($sql);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    //Metodo para inserir OS

    public function inserirOs($cliente, $tecnico, $fantasia, $servico1, $servico2, $servico3, $servico4, $praga1, $praga2, $praga3, $praga4, $produto1, $dosagem1, $diluente1, $metodo1, $lote1, $produto2, $dosagem2, $diluente2, $metodo2, $lote2, $produto3, $dosagem3, $diluente3, $metodo3, $lote3, $produto4, $dosagem4, $diluente4, $metodo4, $lote4, $produto5, $dosagem5, $diluente5, $metodo5, $lote5, $produto6, $dosagem6, $diluente6, $metodo6, $lote6, $produto7, $dosagem7, $diluente7, $metodo7, $lote7, $produto8, $dosagem8, $diluente8, $metodo8, $lote8, $data_os, $inicio_os, $termino_os, $horaagendamento, $observacao_os)
    {
        $pdo = parent::get_instance();
        $sql = "INSERT INTO ordem_servico (cliente, tecnico, fantasia, servico1, servico2, servico3, servico4, praga1, praga2, praga3, praga4, produto1, dosagem1, diluente1, metodo1, lote1, produto2, dosagem2, diluente2, metodo2, lote2, produto3, dosagem3, diluente3, metodo3, lote3, produto4, dosagem4, diluente4, metodo4, lote4, produto5, dosagem5, diluente5, metodo5, lote5, produto6, dosagem6, diluente6, metodo6, lote6, produto7, dosagem7, diluente7, metodo7, lote7, produto8, dosagem8, diluente8, metodo8, lote8, data_os, inicio_os, termino_os, horaagendamento, observacao_os) VALUES (:cliente, :tecnico, :fantasia, :servico1, :servico2, :servico3, :servico4, :praga1, :praga2, :praga3, :praga4, :produto1, :dosagem1, :diluente1, :metodo1, :lote1, :produto2, :dosagem2, :diluente2, :metodo2, :lote2, :produto3, :dosagem3, :diluente3, :metodo3, :lote3, :produto4, :dosagem4, :diluente4, :metodo4, :lote4, :produto5, :dosagem5, :diluente5, :metodo5, :lote5, :produto6, :dosagem6, :diluente6, :metodo6, :lote6, :produto7, :dosagem7, :diluente7, :metodo7, :lote7, :produto8, :dosagem8, :diluente8, :metodo8, :lote8, :data_os, :inicio_os, :termino_os, :horaagendamento, :observacao_os)";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":cliente", $cliente);
        $sql->bindValue(":tecnico", $tecnico);
        $sql->bindValue(":fantasia", $fantasia);
        $sql->bindValue(":servico1", $servico1);
        $sql->bindValue(":servico2", $servico2);
        $sql->bindValue(":servico3", $servico3);
        $sql->bindValue(":servico4", $servico4);
        $sql->bindValue(":praga1", $praga1);
        $sql->bindValue(":praga2", $praga2);
        $sql->bindValue(":praga3", $praga3);
        $sql->bindValue(":praga4", $praga4);
        $sql->bindValue(":produto1", $produto1);
        $sql->bindValue(":dosagem1", $dosagem1);
        $sql->bindValue(":diluente1", $diluente1);
        $sql->bindValue(":metodo1", $metodo1);
        $sql->bindValue(":lote1", $lote1);
        $sql->bindValue(":produto2", $produto2);
        $sql->bindValue(":dosagem2", $dosagem2);
        $sql->bindValue(":diluente2", $diluente2);
        $sql->bindValue(":metodo2", $metodo2);
        $sql->bindValue(":lote2", $lote2);
        $sql->bindValue(":produto3", $produto3);
        $sql->bindValue(":dosagem3", $dosagem3);
        $sql->bindValue(":diluente3", $diluente3);
        $sql->bindValue(":metodo3", $metodo3);
        $sql->bindValue(":lote3", $lote3);
        $sql->bindValue(":produto4", $produto4);
        $sql->bindValue(":dosagem4", $dosagem4);
        $sql->bindValue(":diluente4", $diluente4);
        $sql->bindValue(":metodo4", $metodo4);
        $sql->bindValue(":lote4", $lote4);
        $sql->bindValue(":produto5", $produto5);
        $sql->bindValue(":dosagem5", $dosagem5);
        $sql->bindValue(":diluente5", $diluente5);
        $sql->bindValue(":metodo5", $metodo5);
        $sql->bindValue(":lote5", $lote5);
        $sql->bindValue(":produto6", $produto6);
        $sql->bindValue(":dosagem6", $dosagem6);
        $sql->bindValue(":diluente6", $diluente6);
        $sql->bindValue(":metodo6", $metodo6);
        $sql->bindValue(":lote6", $lote6);
        $sql->bindValue(":produto7", $produto7);
        $sql->bindValue(":dosagem7", $dosagem7);
        $sql->bindValue(":diluente7", $diluente7);
        $sql->bindValue(":metodo7", $metodo7);
        $sql->bindValue(":lote7", $lote7);
        $sql->bindValue(":produto8", $produto8);
        $sql->bindValue(":dosagem8", $dosagem8);
        $sql->bindValue(":diluente8", $diluente8);
        $sql->bindValue(":metodo8", $metodo8);
        $sql->bindValue(":lote8", $lote8);
        $sql->bindValue(":data_os", $data_os);
        $sql->bindValue(":inicio_os", $inicio_os);
        $sql->bindValue(":termino_os", $termino_os);
        $sql->bindValue(":horaagendamento", $horaagendamento);
        $sql->bindValue(":observacao_os", $observacao_os);
        $sql->execute();
    }

    //Metodo para alterar OS
    public function alterarOs($os, $cliente, $tecnico, $fantasia, $contato, $servico1, $servico2, $servico3, $servico4, $praga1, $praga2, $praga3, $praga4, $produto1, $dosagem1, $diluente1, $metodo1, $lote1, $produto2, $dosagem2, $diluente2, $metodo2, $lote2, $produto3, $dosagem3, $diluente3, $metodo3, $lote3, $produto4, $dosagem4, $diluente4, $metodo4, $lote4, $produto5, $dosagem5, $diluente5, $metodo5, $lote5, $produto6, $dosagem6, $diluente6, $metodo6, $lote6, $produto7, $dosagem7, $diluente7, $metodo7, $lote7, $produto8, $dosagem8, $diluente8, $metodo8, $lote8, $data_os, $inicio_os, $termino_os, $horaagendamento, $horaconclusao, $observacao_os, $gel, $pulverizacao, $polvilhamento, $isca, $relatorio_os)
    {
        $pdo = parent::get_instance();
        $sql = "UPDATE ordem_servico SET os = :os, cliente = :cliente, tecnico = :tecnico, fantasia = :fantasia, contato = :contato, servico1 = :servico1, servico2 = :servico2, servico3 = :servico3, servico4 = :servico4, praga1 = :praga1, praga2 = :praga2, praga3 = :praga3, praga4 = :praga4, produto1 = :produto1, dosagem1 = :dosagem1, diluente1 = :diluente1, metodo1 = :metodo1, lote1 = :lote1, produto2 = :produto2, dosagem2 = :dosagem2, diluente2 = :diluente2, metodo2 = :metodo2, lote2 = :lote2, produto3 = :produto3, dosagem3 = :dosagem3, diluente3 =:diluente3, metodo3 = :metodo3, lote3 = :lote3, produto4 = :produto4, dosagem4 = :dosagem4, diluente4 = :diluente4, metodo4 = :metodo4, lote4 = :lote4, produto5 = :produto5, dosagem5 = :dosagem5, diluente5 = :diluente5, metodo5 = :metodo5, lote5 = :lote5, produto6 = :produto6, dosagem6 = :dosagem6, diluente6 = :diluente6, metodo6 = :metodo6, lote6 = :lote6, produto7 = :produto7, dosagem7 = :dosagem7, diluente7 = :diluente7, metodo7 = :metodo7, lote7 = :lote7, produto8 = :produto8, dosagem8 = :dosagem8, diluente8 = :diluente8, metodo8 = :metodo8, lote8 = :lote8, data_os = :data_os, inicio_os = :inicio_os, termino_os = :termino_os, horaagendamento = :horaagendamento, horaconclusao = :horaconclusao, observacao_os = :observacao_os, gel = :gel, pulverizacao = :pulverizacao, polvilhamento = :polvilhamento, isca = :isca, relatorio_os = :relatorio_os WHERE os = :os";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":os", $os);
        $sql->bindValue(":cliente", $cliente);
        $sql->bindValue(":tecnico", $tecnico);
        $sql->bindValue(":fantasia", $fantasia);
        $sql->bindValue(":contato", $contato);
        $sql->bindValue(":servico1", $servico1);
        $sql->bindValue(":servico2", $servico2);
        $sql->bindValue(":servico3", $servico3);
        $sql->bindValue(":servico4", $servico4);
        $sql->bindValue(":praga1", $praga1);
        $sql->bindValue(":praga2", $praga2);
        $sql->bindValue(":praga3", $praga3);
        $sql->bindValue(":praga4", $praga4);
        $sql->bindValue(":produto1", $produto1);
        $sql->bindValue(":dosagem1", $dosagem1);
        $sql->bindValue(":diluente1", $diluente1);
        $sql->bindValue(":metodo1", $metodo1);
        $sql->bindValue(":lote1", $lote1);
        $sql->bindValue(":produto2", $produto2);
        $sql->bindValue(":dosagem2", $dosagem2);
        $sql->bindValue(":diluente2", $diluente2);
        $sql->bindValue(":metodo2", $metodo2);
        $sql->bindValue(":lote2", $lote2);
        $sql->bindValue(":produto3", $produto3);
        $sql->bindValue(":dosagem3", $dosagem3);
        $sql->bindValue(":diluente3", $diluente3);
        $sql->bindValue(":metodo3", $metodo3);
        $sql->bindValue(":lote3", $lote3);
        $sql->bindValue(":produto4", $produto4);
        $sql->bindValue(":dosagem4", $dosagem4);
        $sql->bindValue(":diluente4", $diluente4);
        $sql->bindValue(":metodo4", $metodo4);
        $sql->bindValue(":lote4", $lote4);
        $sql->bindValue(":produto5", $produto5);
        $sql->bindValue(":dosagem5", $dosagem5);
        $sql->bindValue(":diluente5", $diluente5);
        $sql->bindValue(":metodo5", $metodo5);
        $sql->bindValue(":lote5", $lote5);
        $sql->bindValue(":produto6", $produto6);
        $sql->bindValue(":dosagem6", $dosagem6);
        $sql->bindValue(":diluente6", $diluente6);
        $sql->bindValue(":metodo6", $metodo6);
        $sql->bindValue(":lote6", $lote6);
        $sql->bindValue(":produto7", $produto7);
        $sql->bindValue(":dosagem7", $dosagem7);
        $sql->bindValue(":diluente7", $diluente7);
        $sql->bindValue(":metodo7", $metodo7);
        $sql->bindValue(":lote7", $lote7);
        $sql->bindValue(":produto8", $produto8);
        $sql->bindValue(":dosagem8", $dosagem8);
        $sql->bindValue(":diluente8", $diluente8);
        $sql->bindValue(":metodo8", $metodo8);
        $sql->bindValue(":lote8", $lote8);
        $sql->bindValue(":data_os", $data_os);
        $sql->bindValue(":inicio_os", $inicio_os);
        $sql->bindValue(":termino_os", $termino_os);
        $sql->bindValue(":horaagendamento", $horaagendamento);
        $sql->bindValue(":horaconclusao", $horaconclusao);
        $sql->bindValue(":observacao_os", $observacao_os);
        $sql->bindValue(":gel", $gel);
        $sql->bindValue(":pulverizacao", $pulverizacao);
        $sql->bindValue(":polvilhamento", $polvilhamento);
        $sql->bindValue(":isca", $isca);
        $sql->bindValue(":relatorio_os", $relatorio_os);

        $sql->execute();
    }


    // Metodo para pegar ID de cada registro

    public function pegarInfo($Recebe_Os)
    {
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM ordem_servico WHERE os = :os";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":os", $Recebe_Os);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    //Metodo para alterar Status OS
    public function statusOs($os, $status_os)
    {
        $pdo = parent::get_instance();
        $sql = "UPDATE ordem_servico SET status_os = :status_os WHERE os = :os";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":os", $os);
        $sql->bindValue(":status_os", $status_os);
        $sql->execute();
    }

    //Metodo para retrabalho OS

    public function retrabalhoOs($cliente, $tecnico, $fantasia, $endereco, $contato, $telefone, $servico1, $servico2, $servico3, $servico4, $praga1, $praga2, $praga3, $praga4, $produto1, $dosagem1, $diluente1, $metodo1, $produto2, $dosagem2, $diluente2, $metodo2, $produto3, $dosagem3, $diluente3, $metodo3, $produto4, $dosagem4, $diluente4, $metodo4, $data_os, $inicio_os, $horaagendamento, $status_os, $observacao_os)
    {
        $pdo = parent::get_instance();
        $sql = "INSERT INTO ordem_servico (cliente, tecnico, fantasia, endereco, contato, telefone, servico1, servico2, servico3, servico4, praga1, praga2, praga3, praga4, produto1, dosagem1, diluente1, metodo1, produto2, dosagem2, diluente2, metodo2, produto3, dosagem3, diluente3, metodo3, produto4, dosagem4, diluente4, metodo4, data_os, inicio_os, horaagendamento, status_os, observacao_os) VALUES (:cliente, :tecnico, :fantasia, :endereco, :contato, :telefone, :servico1, :servico2, :servico3, :servico4, :praga1, :praga2, :praga3, :praga4, :produto1, :dosagem1, :diluente1, :metodo1, :produto2, :dosagem2, :diluente2, :metodo2, :produto3, :dosagem3, :diluente3, :metodo3, :produto4, :dosagem4, :diluente4, :metodo4, :data_os, :inicio_os, :horaagendamento, :status_os, :observacao_os)";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":cliente", $cliente);
        $sql->bindValue(":tecnico", $tecnico);
        $sql->bindValue(":fantasia", $fantasia);
        $sql->bindValue(":endereco", $endereco);
        $sql->bindValue(":contato", $contato);
        $sql->bindValue(":telefone", $telefone);
        $sql->bindValue(":servico1", $servico1);
        $sql->bindValue(":servico2", $servico2);
        $sql->bindValue(":servico3", $servico3);
        $sql->bindValue(":servico4", $servico4);
        $sql->bindValue(":praga1", $praga1);
        $sql->bindValue(":praga2", $praga2);
        $sql->bindValue(":praga3", $praga3);
        $sql->bindValue(":praga4", $praga4);
        $sql->bindValue(":produto1", $produto1);
        $sql->bindValue(":dosagem1", $dosagem1);
        $sql->bindValue(":diluente1", $diluente1);
        $sql->bindValue(":metodo1", $metodo1);
        $sql->bindValue(":produto2", $produto2);
        $sql->bindValue(":dosagem2", $dosagem2);
        $sql->bindValue(":diluente2", $diluente2);
        $sql->bindValue(":metodo2", $metodo2);
        $sql->bindValue(":produto3", $produto3);
        $sql->bindValue(":dosagem3", $dosagem3);
        $sql->bindValue(":diluente3", $diluente3);
        $sql->bindValue(":metodo3", $metodo3);
        $sql->bindValue(":produto4", $produto4);
        $sql->bindValue(":dosagem4", $dosagem4);
        $sql->bindValue(":diluente4", $diluente4);
        $sql->bindValue(":metodo4", $metodo4);
        $sql->bindValue(":data_os", $data_os);
        $sql->bindValue(":inicio_os", $inicio_os);
        $sql->bindValue(":horaagendamento", $horaagendamento);
        $sql->bindValue(":status_os", $status_os);
        $sql->bindValue(":observacao_os", $observacao_os);
        $sql->execute();
    }

    //Metodo para excluir OS
    public function excluirOS($os)
    {
        $pdo = parent::get_instance();
        $sql = "DELETE FROM ordem_servico WHERE os = :idOs";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idOs", $os);
        $sql->execute();
    }

     //CERTIFICADO DE DESINFECÇÃO DE RESERVATÓRIO D'ÁGUA

     public function certificado1($vencimentoCertificado1, $historicoCertificado1, $os)
     {
        $pdo = parent::get_instance();
        $sql = "UPDATE ordem_servico SET vencimentoCertificado1 = :vencimentoCertificado1, historicoCertificado1 = :historicoCertificado1 WHERE os = :os";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":vencimentoCertificado1", $vencimentoCertificado1);
        $sql->bindValue(":historicoCertificado1", $historicoCertificado1);
        $sql->bindValue(":os", $os);
        $sql->execute();
     }
 
     //CERTIFICADO DE APLICAÇÃO E GARANTIA DE SERVIÇO
 
     public function certificado2($vencimentoCertificado2, $historicoCertificado2, $os)
     {
         $pdo = parent::get_instance();
         $sql = "UPDATE ordem_servico SET vencimentoCertificado2 = :vencimentoCertificado2, historicoCertificado2 = :historicoCertificado2 WHERE os = :os";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":vencimentoCertificado2", $vencimentoCertificado2);
        $sql->bindValue(":historicoCertificado2", $historicoCertificado2);
        $sql->bindValue(":os", $os);
         $sql->execute();
     }
 
     //CERTIFICADO DE LIMPEZA DE RESERVATÓRIO DE GORDURA
 
     public function certificado3($vencimentoCertificado3, $historicoCertificado3, $os)
     {
         $pdo = parent::get_instance();
         $sql = "UPDATE ordem_servico SET vencimentoCertificado3 = :vencimentoCertificado3, historicoCertificado3 = :historicoCertificado3 WHERE os = :os";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":vencimentoCertificado3", $vencimentoCertificado3);
        $sql->bindValue(":historicoCertificado3", $historicoCertificado3);
        $sql->bindValue(":os", $os);
         $sql->execute();
     }


}
