<?php

class Praga extends Conexao
{

    //Método para listar praga

    public function listarPraga()
    {
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM praga";
        $sql = $pdo->prepare($sql);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    //Metodo para inserir praga

    public function inserirPraga($descricaoPraga)
    {
        $pdo = parent::get_instance();
        $sql = "INSERT INTO praga (descricaoPraga) VALUES (:descricaoPraga)";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":descricaoPraga", $descricaoPraga);
        $sql->execute();
    }

    //Metodo para alterar praga
    public function alterarPraga($idPraga, $descricaoPraga)
    {
        $pdo = parent::get_instance();
        $sql = "UPDATE praga SET descricaoPraga = :descricaoPraga WHERE idPraga = :idPraga";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idPraga", $idPraga);
        $sql->bindValue(":descricaoPraga", $descricaoPraga);
        $sql->execute();
    }

    // Metodo para pegar ID de cada registro

    public function pegarInfo($idPraga)
    {
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM praga WHERE idPraga = :idPraga";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idPraga", $idPraga);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }
}
