<!-- PHP - Incluindo Arquivos Necessarios -->
<?php 

session_start();

if(isset($_SESSION['login'])) {

include_once "../model/conexao.class.php";
include_once "../model/user.class.php";

$user = new User();

?>

<!-- Fim - PHP -->



<!-- HTML -Incluindo Arquivos CSS3, Bootstrap 4, etc -->
		<!DOCTYPE html>
		<meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- Favicon -->
    	<link rel="shortcut icon" href="../assets/img/icon.jpg">        
        <title>Caixa Eletrônico - Informações/Transações</title>
        <!-- Bootstrap 4 -->
		<link rel="stylesheet" type="text/css" href="../assets/css/bootstrap/bootstrap.min.css">
		<!-- CSS da INDEX -->
        <link rel="stylesheet" href="../assets/css/index.css">
        <!-- GoogleFonts - OpenSans -->
		<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
		<!-- Fontawesome 5.0-->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
		<script src="https://kit.fontawesome.com/01e6cc872a.js"></script>
<!-- Fim - Arquivos -->



<!-- Iniciando Tabela -->

<div class="content p-1">
                <div class="list-group-item" style="background-color: #eaeef3">
                    
                        <div class="mr-auto p-2">
                            <h2 class="text-center"> Gerenciamento de Usuário <i class="fas fa-biohazard"></i></h2><br>
                        </div>

						<div class="text-right">
						<button type="button" class="btn btn-success form_jquery_inserir">Novo Usuário
							<i class="fas fa-user-plus"></i>
						</button>
						</div>

						<br>
                        <!-- Iniciando a Tabela -->

                        <div class="table-responsive">
							<table class="table table-hover">
								<thead class="thead">
									<tr>
										<th>ID</th>
										<th>EMAIL</th>
										<th>AÇÕES</th>
				
									</tr>
								</thead>
								<tbody>
									<?php foreach($user->listaUsuarios() as $listauser): ?>
									<tr class="tr">
										<td><?php echo $listauser['id'];?></td>
										<td><?php echo $listauser['email'];?></td>

										<!-- Botões de Ações -->
										
										<td>
											<button class="btn btn-primary form_jquery_alterar">
												<i class="fas fa-random"></i>
											</button>				
											
											<button class="btn btn-danger form_jquery_exclusao">
												<i class="far fa-trash-alt"></i>
											</button>
										
										</td>


										<!-- Fim - Form de Transacao -->

									</tr>	
									<?php endforeach;?>			
								</tbody>
							</table><hr>
							
							<!-- Fim - Tabela -->

							<!-- Formulario JQuery Alterar-->

							<form method="POST" action="../controller/transactionControllerAlterarUser.php" style="font-weight: bold; font-style: italic;" class="formulario_alterar">
								
								<h4 class="text-center">
									<strong>
										Alteração de Usuários <i class="fas fa-biohazard"></i>
									</strong>
								</h4><br>

								<div class="container">
									<div class="form-row">
										
										<div class="col-md-4" style="clear: both;"></div>

										<div class="col-md-4">
											Informe o id do usuário: <br>
											<input type="text" name="id" class="form-control">
											</select>
										</div>

										<div class="col-md-4" style="clear: both;"></div>


										<div class="col-md-4" style="clear: both;"></div>

										<div class="col-md-4">
											Informe o novo e-mail: <br>
											<input type="text" name="email" class="form-control">
											</select>
										</div>

										<div class="col-md-4" style="clear: both;"></div>


										<div class="col-md-4" style="clear: both;"></div>

										<div class="col-md-4">
											<br>Informe a nova senha:
											<input type="text" name="senha" class="form-control">
										</div>

										<div class="col-md-4" style="clear: both;"></div>


										<div class="col-md-4" style="clear: both;"></div>

										

										<div class="col-md-4">
											<br><button class="btn btn-danger btn-block">
												Efetuar Alteração <i class="fas fa-biohazard"></i></i>
											</button>
										</div>

										<div class="col-md-4" style="clear: both;"></div>

										


									</div>
								</div>

							</form><br>

							<!-- Fim - Formulario JQuery -->

							<!-- Formulario JQuery Excluir-->

							<form method="POST" action="../controller/transactionControllerDeleteUser.php" style="font-weight: bold; font-style: italic;" class="formulario_exclusao">
								
								<h4 class="text-center">
									<strong>
										Exclusão de Usuários <i class="fas fa-biohazard"></i>
									</strong>
								</h4><br>

								<div class="container">
									<div class="form-row">
										
										<div class="col-md-4" style="clear: both;"></div>

										<div class="col-md-4">
											<br>Informe o id do usuário que deseja excluir:
											<input type="text" name="id" class="form-control">
										</div>

										<div class="col-md-4" style="clear: both;"></div>


										<div class="col-md-4" style="clear: both;"></div>

										

										<div class="col-md-4">
											<br><button class="btn btn-danger btn-block">
												Efetuar Exclusão <i class="fas fa-biohazard"></i>
											</button>
										</div>

										<div class="col-md-4" style="clear: both;"></div>

										


									</div>
								</div>

							</form><br>

							<!-- Fim - Formulario JQuery -->

							<!-- Formulario JQuery Inserir-->

							<form method="POST" action="../controller/transactionControllerInsertUser.php" style="font-weight: bold; font-style: italic;" class="formulario_inserir">
								
								<h4 class="text-center">
									<strong>
										Inserir Novo Usuário <i class="fas fa-biohazard"></i>
									</strong>
								</h4><br>

								<div class="container">
									<div class="form-row">
										
										<div class="col-md-4" style="clear: both;"></div>

										<div class="col-md-4">
											Informe o e-mail do novo usuário: <br>
											<input type="text" name="email" class="form-control">
											</select>
										</div>

										<div class="col-md-4" style="clear: both;"></div>


										<div class="col-md-4" style="clear: both;"></div>

										<div class="col-md-4">
											<br>Informe a senha:
											<input type="text" name="senha" class="form-control">
										</div>

										<div class="col-md-4" style="clear: both;"></div>


										<div class="col-md-4" style="clear: both;"></div>

										

										<div class="col-md-4">
											<br><button class="btn btn-danger btn-block">
												Efetuar cadastro <i class="fas fa-biohazard"></i></i>
											</button>
										</div>

										<div class="col-md-4" style="clear: both;"></div>

										


									</div>
								</div>

							</form><br>

							<!-- Fim - Formulario JQuery -->







							

						

						</div>
                </div>
            </div>

            <script type="text/javascript" src="../assets/js/jquery-3.3.1.min.js"></script>
			<script type="text/javascript" src="../assets/js/script_alterar.js"></script>
			<script type="text/javascript" src="../assets/js/script_exclusao.js"></script>
			<script type="text/javascript" src="../assets/js/script_inserir.js"></script>

<?php } else {

} ?>