<!--
    CERTIFICADO DE DESINFECÇÃO DE RESERVATóRIO D' ÁGUA
-->

<?php

session_start();

if (isset($_SESSION['login'])) {

    include_once "model/conexao.class.php";
    include_once "model/os.class.php";
    include_once "model/cliente.class.php";

    $os = new Os();
    $cliente = new Cliente();
    $Recebe_Os = ($_POST['envia_Os']);
    $idcliente = ($_POST['envia_cliente_id']);

?>

    <!DOCTYPE html>
    <html lang="pt-br">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta http-equiv="cache-control" content="no-cache" />
        <!-- Favicon -->
        <link rel="shortcut icon" href="assets/img/icon.jpg">
        <title>INTRANET MBM - Home</title>
        <!-- Bootstrap 4 -->
        <link rel="stylesheet" type="text/css" href="assets/css/bootstrap/bootstrap.min.css">
        <!-- CSS da INDEX -->
        <link rel="stylesheet" href="assets/css/index.css">
        <!-- GoogleFonts - OpenSans -->
        <link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
        <!-- Fontawesome 5.0-->
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    </head>

    <body>

        <div id="cabecalhoPRINT" style="font-size: 18px">
            <table class="table">
                <div>
                    <th style="vertical-align: middle"><img src="assets/img/logo2.jpg" id="logo2"></th>

                    <th style="vertical-align: middle"><b>MBM DEDETIZADORA E DESENTUPIDORA</b> - CNPJ: 22.161.963/0001-00
                        <br>EMPRESA CREDENCIADA E LEGALIZADA PELA VIGILÂNCIA SANITÁRIA.<br>
                        Nº CEVS: 354980501-812-000040-1-4
                        <br><b>FONE:</b> (17) 3363-9009| (17) 3022-6448 - <b>CELULAR: </b>(17) 98812-3400 <br><b>E-MAIL:</b> financeiro@mmdedetizadora.com
                        <?php foreach ($os->pegarInfo($Recebe_Os) as $listaOs) : ?>
                            <?php foreach ($cliente->pegarInfo($idcliente) as $listaCliente) : ?>
                                <p>
                                    <h3><b>CERTIFICADO DE APLICAÇÃO E GARANTIA DE SERVIÇO</b></h3>
                    </th>
                    <tr>
                </div>
            </table>
        </div>

        <style>
            .p-1 {
                font-size: 22px;
            }

            .table {
                margin-bottom: 0em;
            }

            .table td,
            .table th {
                border-top: 0px;
            }
        </style>

        <div class="content p-5">
            <table class="table" style="border: 1px  black;">
                <tr class="tr">
                    <td style="font-size: 26px; text-align: justify;">Certificamos para os devidos fins que a empresa: <b style="color: red;"><?php echo $listaCliente['fantasia'] ?></b>, portadora do CNPJ: <b style="color: red;"><?php echo $listaCliente['cnpj'] ?></b>, localizada no endereço: <b style="color: red;"><?php echo $listaCliente['endereco'] ?></b>, na cidade SÃO JOSÉ DO RIO PRETO/SP, recebeu o <b>Controle de Pragas</b>. Através da garantia
                        fornecida, nossa empresa se responsabiliza pelas aplicações citadas acima pelo período de <b style="color: red;">6 MESES</b>. Nosso trabalho consiste no controle de vetores e pragas urbanas e rurais, seguindo todas
                        as normas do Sistema de Qualidade, utlizando produtos aprovados e licenciados pela Divisão Nacional de Vigilância e Saneamentos Domissanitários, conforme a legislação vigente. </td>
                </tr>
            <?php endforeach; ?>
        <?php endforeach; ?>
            </table>
        </div>


        <div class="content p-5">
            <?php foreach ($os->pegarInfo($Recebe_Os) as $CarregaOs) : ?>
            <?php endforeach; ?>

            <table class="table" style="text-align: center; border: 1px solid black;">
                <tr style="text-align: justify;">

                    <?php
                    $data1 = $CarregaOs['historicoCertificado2'];
                    $data2 = $CarregaOs['vencimentoCertificado2'];

                    ?>

                    <td style="font-size: 30px;"><b style="color: red;">Data da aplicação:</b> <?php echo date('d/m/Y', strtotime($data1)); ?><br>
                    </td>
                    <td style="font-size: 30px;"><b style="color: red;">Data do Vencimento:</b> <?php echo date('d/m/Y', strtotime($data2)); ?><br>
                    </td>
                </tr>
            </table>
        </div>


        <p>
            <div class="content p-1">
                <table class="table">
                    </th>
                    <tr style="text-align: justify;">
                        <td style="width:20%"><img src="assets/img/medalhaSatisfacao.png" alt="Girl in a jacket" width="180" height="230">
                        </td>
                        <td style="padding-top: 50px;">
                            __________________________<br>
                            Michel Bernardo Mariano<br>
                            Diretor Geral<br>
                            CNPJ: 22.161.963/0001-00
                        </td>
                        <td style="padding-top: 50px;">
                            __________________________<br>
                            Carolina Acioli Bacchiega<br>
                            Médica Veterinária<br>
                            CRMV: 300-83
                        </td>

                    </tr>
                </table>
            </div>

            <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
            <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>


    </body>

    </html>
    <script>
        $(function() {
            window.print();
        });
    </script>
<?php

} else {
    header("Location: login.php?access_denied");
}

?>