<?php

session_start();

if (isset($_SESSION['login'])) {

    include_once "model/conexao.class.php";
    include_once "model/os.class.php";
    include_once "model/cliente.class.php";

    $os = new Os();
    $cliente = new Cliente();
    $Recebe_Os = ($_POST['envia_Os']);
    $idcliente = ($_POST['envia_cliente_id']);

?>

    <!DOCTYPE html>
    <html lang="pt-br">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta http-equiv="cache-control" content="no-cache" />
        <!-- Favicon -->
        <link rel="shortcut icon" href="assets/img/icon.jpg">
        <title>INTRANET MBM - Home</title>
        <!-- Bootstrap 4 -->
        <link rel="stylesheet" type="text/css" href="assets/css/bootstrap/bootstrap.min.css">
        <!-- CSS da INDEX -->
        <link rel="stylesheet" href="assets/css/index.css">
        <!-- GoogleFonts - OpenSans -->
        <link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
        <!-- Fontawesome 5.0-->
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    </head>

    <body>
        <div id="cabecalhoPRINT" style="font-size: 15px">
            <table class="table table-hover">
                <thead class="thead2">
                    <div>
                        <th style="vertical-align: middle"><img src="assets/img/logo2.jpg" id="logo2"></th>

                        <th style="vertical-align: middle"><b>MBM DEDETIZADORA E DESENTUPIDORA</b>
                            <br>RUA BASÍLIO SILVEIRA, 973 - PARQUE SÃO MIGUEL <br> SÃO JOSÉ DO RIO PRETO - SP / <b>CEP:</b> 15014-060
                        <br><b>FONES:</b> (17)3363-9009 | (17) 3121-8850 | (17) 3022-6448</b> <b>E-MAIL:</b> financeiro@mmdedetizadora.com

                            <?php foreach ($os->pegarInfo($Recebe_Os) as $listaOs) : ?>
                                <?php foreach ($cliente->pegarInfo($idcliente) as $listaCliente) : ?>
                                    <p>
                                        <h4>ORDEM DE SERVIÇO - AGENDADO: <?php echo $listaOs['inicio_os'] ?> - <?php echo $listaOs['horaagendamento'] ?></h4>
                        </th>
                        <tr>
                    </div>
                </thead>
            </table>
        </div>


        <div class="content p-1" style="font-size: 13px">

            <b>Dados do cliente</b>
            <br>
            <table class="table">
                <thead>
                    <tr>

                        <td style="width: 50%;"><b>Razão Social:</b> <?php echo $listaCliente['nomeCliente'] ?> - <?php echo $listaCliente['cnpj'] ?></td>
                        <td><b>Nome Fantasia:</b> <?php echo $listaCliente['fantasia'] ?></td>
                    </tr>
                    <tr>
                        <td><b>Endereço:</b> <?php echo $listaCliente['endereco'] ?></td>
                    </tr>
                <?php endforeach; ?>
            <?php endforeach; ?>
                </thead>
            </table>
        </div>
        <p>
            <div class="content p-1" style="font-size: 13px">

                <b>Dados do contato</b>
                <br>
                <table class="table">

                    <tr>
                        <td style="width: 50%;"><b>Nome:</b> <?php echo $listaCliente['contato'] ?></td>
                        <td><b>Telefone:</b> <?php echo $listaCliente['telefone1'] ?> / <?php echo $listaCliente['celular1'] ?></td>
                    </tr>

                </table>
            </div>
            <div class="content p-1" style="font-size: 13px">
                <b>Serviços contratados</b>
                <table class="table">

                    <tr>
                        <td style="width: 30%;">1º: <?php echo $listaOs['servico1'] ?></td>
                        <td>Pragas Alvo: <?php echo $listaOs['praga1'] ?></td>
                    </tr>
                    <tr>
                        <td style="width: 30%;">2º: <?php echo $listaOs['servico2'] ?></td>
                        <td>Pragas Alvo: <?php echo $listaOs['praga2'] ?></td>
                    </tr>
                    <tr>
                        <td style="width: 30%;">3º: <?php echo $listaOs['servico3'] ?></td>
                        <td>Pragas Alvo: <?php echo $listaOs['praga3'] ?></td>
                    </tr>
                    <tr>
                        <td style="width: 30%;">4º: <?php echo $listaOs['servico4'] ?></td>
                        <td>Pragas Alvo: <?php echo $listaOs['praga4'] ?></td>
                    </tr>
                </table>
            </div>
            <div class="content p-1" style="font-size: 13px">

                <table class="table">

                    <tr>
                        <td style="width: 30%;">Produtos: <?php echo $listaOs['produto1'] ?></td>
                        <td>Dosagem: <?php echo $listaOs['dosagem1'] ?></td>
                        <td>Diluente: <?php echo $listaOs['diluente1'] ?></td>
                        <td>Lote: <?php echo $listaOs['lote1'] ?></td>
                    </tr>
                    <tr>
                        <td style="width: 30%;">Produtos: <?php echo $listaOs['produto2'] ?></td>
                        <td>Dosagem: <?php echo $listaOs['dosagem2'] ?></td>
                        <td>Diluente: <?php echo $listaOs['diluente2'] ?></td>
                        <td>Lote: <?php echo $listaOs['lote2'] ?></td>
                    </tr>
                    <tr>
                        <td style="width: 30%;">Produtos: <?php echo $listaOs['produto3'] ?></td>
                        <td>Dosagem: <?php echo $listaOs['dosagem3'] ?></td>
                        <td>Diluente: <?php echo $listaOs['diluente3'] ?></td>
                        <td>Lote: <?php echo $listaOs['lote3'] ?></td>
                    </tr>
                    <tr>
                        <td style="width: 30%;">Produtos: <?php echo $listaOs['produto4'] ?></td>
                        <td>Dosagem: <?php echo $listaOs['dosagem4'] ?></td>
                        <td>Diluente: <?php echo $listaOs['diluente4'] ?></td>
                        <td>Lote: <?php echo $listaOs['lote4'] ?></td>
                    </tr>
                    <tr>
                        <td style="width: 30%;">Produtos: <?php echo $listaOs['produto5'] ?></td>
                        <td>Dosagem: <?php echo $listaOs['dosagem5'] ?></td>
                        <td>Diluente: <?php echo $listaOs['diluente5'] ?></td>
                        <td>Lote: <?php echo $listaOs['lote5'] ?></td>
                    </tr>
                    <tr>
                        <td style="width: 30%;">Produtos: <?php echo $listaOs['produto6'] ?></td>
                        <td>Dosagem: <?php echo $listaOs['dosagem6'] ?></td>
                        <td>Diluente: <?php echo $listaOs['diluente6'] ?></td>
                        <td>Lote: <?php echo $listaOs['lote6'] ?></td>
                    </tr>
                    <tr>
                        <td style="width: 30%;">Produtos: <?php echo $listaOs['produto7'] ?></td>
                        <td>Dosagem: <?php echo $listaOs['dosagem7'] ?></td>
                        <td>Diluente: <?php echo $listaOs['diluente7'] ?></td>
                        <td>Lote: <?php echo $listaOs['lote7'] ?></td>
                    </tr>
                    <tr>
                        <td style="width: 30%;">Produtos: <?php echo $listaOs['produto8'] ?></td>
                        <td>Dosagem: <?php echo $listaOs['dosagem8'] ?></td>
                        <td>Diluente: <?php echo $listaOs['diluente8'] ?></td>
                        <td>Lote: <?php echo $listaOs['lote8'] ?></td>
                    </tr>

                </table>
            </div>
            <div class="content p-1" style="font-size: 11px">
                <table id="tabelaLayoutOS" class="table table-bordered">
                    <tr>
                        <td style="width: 70%;">
                            <b>MEDIDAS DE SEGURANÇA:</b>
                            <p>
                                <i>Para controle de insetos quando utilizados inseticidas líquidos:</i><br>
                                - Aguardar no mínimo 6 (seis) horas para permitir o ingresso de pessoas e animais.<br>
                                - Abrir as janelas para arejar o ambiente antes de ocupar o local desinsetizado.<br>
                                - Observar um prazo maior para o acesso de crianças, pessoas idosas e alérgicas ao local desinsetizado. <br>
                                - Lavar com detergente as louças e utensílios expostos aos vapores inseticídas.<br>
                                - Aguardar no mínimo 48(quarenta e oito) horas para limpar o local tratado.<br>
                                <i>Para controle de roedores:</i><br>
                                - Proteger as iscas de acesso de crianças e animais domésticos.
                            </p>
                        </td>
                        <td style="width: 30%;">
                            <b><i>INSTRUÇÕES PARA EXECUÇÃO:</i></b><p>

                            <i>APLICAÇÃO DE GEL:</i><p>
                            <i>PULVERIZAÇÃO:</i><p>
                            <i>POLVILHAMENTO:</i><p>
                            <i>PORTA ISCA:</i><p>
                            <i>RELATÓRIO:</i>
                        </td>
                    </tr>
                </table>
                <b>Observações: <?php echo $listaOs['observacao_os'] ?></b> </b>
            </div>

            <p>

                <div class="content p-1" style="font-size: 14px">
                    <p>
                        DATA DA OS: <?php echo $listaOs['data_os'] ?> &emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp; TÉRMINO: <?php echo $listaOs['termino_os'] ?>
                </div>
                <div class="content p-1" style="font-size: 14px">
                    <p>
                        <p>
                            EM: _ _ / _ _ / _ _ _ _ _ &emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp; ____________________________________ &emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;____________________________________
                            <br>
                            <b>Data da realização&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;Assinatura do aplicador responsável&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;Assinatura do cliente</b>
                </div>
                <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
                <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
                <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>


    </body>

    </html>
    <script>
        $(function() {
            window.print();
        });
    </script>
<?php

} else {
    header("Location: login.php?access_denied");
}

?>