<?php

session_start();

if (isset($_SESSION['login'])) {

    include_once "model/conexao.class.php";
    include_once "model/orcamento.class.php";
    include_once "model/cliente.class.php";

    $orcamento = new Orcamento();
    $cliente = new Cliente();
    $Recebe_Orcamento = ($_POST['envia_Orcamento']);
    $nomeCliente = ($_POST['envia_cliente']);

?>

    <!DOCTYPE html>
    <html lang="pt-br">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta http-equiv="cache-control" content="no-cache" />
        <!-- Favicon -->
        <link rel="shortcut icon" href="assets/img/icon.jpg">
        <title>INTRANET MBM - Orçamento</title>
        <!-- Bootstrap 4 -->
        <link rel="stylesheet" type="text/css" href="assets/css/bootstrap/bootstrap.min.css">
        <!-- CSS da INDEX -->
        <link rel="stylesheet" href="assets/css/index.css">
        <!-- GoogleFonts - OpenSans -->
        <link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
        <!-- Fontawesome 5.0-->
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    </head>

    <body>
        <div id="cabecalhoPRINT" style="font-size: 14px">
            <table class="table table-hover">
                <thead class="thead2">

                    <th style="vertical-align: middle"><img src="assets/img/logo2.jpg" id="logo2"></th>
                    <th style="vertical-align: middle"><b>MBM DEDETIZADORA E DESENTUPIDORA</b>
                        <br>RUA BASÍLIO SILVEIRA, 973 - PARQUE SÃO MIGUEL <br> SÃO JOSÉ DO RIO PRETO - SP / <b>CEP:</b> 15014-060
                        <br><b>FONES:</b> (17)3363-9009 | (17) 3121-8850 | (17) 3022-6448</b> <b>E-MAIL:</b> financeiro@mmdedetizadora.com
                        <?php foreach ($orcamento->pegarInfo($Recebe_Orcamento) as $listaOrcamento) : ?>
                            <?php foreach ($cliente->pegarInfo2($nomeCliente) as $listaCliente) : ?>
                                <p>
                                <h4>ORÇAMENTO N° <?php echo $listaOrcamento['idOrcamento'] . " - " . $listaOrcamento['dataOrcamento'] . " às " . $listaOrcamento['horarioOrcamento'] ?> </h4>

                            <?php endforeach; ?>
                        <?php endforeach; ?>
                    </th>

                </thead>
            </table>
        </div>

        <div class="content p-1">

            <b>Dados do cliente</b>
            <br>
            <table class="content p-1">
                <thead>
                    <tr>
                        <td><b>Razão Social:</b> <?php echo $listaCliente['nomeCliente'] ?> </td>
                        <td><b>Nome Fantasia:</b> <?php echo $listaCliente['fantasia'] ?> </td>
                    </tr>
                </thead>
                <td><b>Endereço:</b> <?php echo $listaCliente['endereco'] ?> </td>
            </table>
        </div>
        <div class="content p-1">
            <b>Dados para contato:</b>
            <br>
            <table class="table">
                <thead>
                    <tr>

                        <td style="width: 50%;"><b>Nome do contato:</b><?php echo $listaCliente['contato'] ?> </td>
                        <td><b>Telefone:</b> <?php echo $listaCliente['telefone1'] ?> / <?php echo $listaCliente['telefone2'] ?> / <?php echo $listaCliente['celular1'] ?></td>
                    </tr>
                </thead>
            </table>
        </div>
        <div class="content p-1">

            <b>Dados do orçamento</b>
            <p>
                <table class="table table-bordered" style="font-size: 11px;">
                    <tr>
                        <td style="width: 5px;"></td>
                        <td>DESINSETIZAÇÃO</td>
                        <td style="width: 5px;"></td>
                        <td>DESRATIZAÇÃO</td>
                    </tr>
                    <tr>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE RATOS</td>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE MOSQUITO</td>
                    </tr>
                    <tr>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE CUPIM</td>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE CARRAPATO</td>
                    </tr>
                    <tr>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE POMBO</td>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE PULGA</td>
                    </tr>
                    <tr>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE ESCORPIÃO</td>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE CARAMUJO</td>
                    </tr>
                    <tr>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE PERCEVEJO DE CAMA</td>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE ACAROS</td>
                    </tr>
                    <tr>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE PIOLHO</td>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE ABELHA</td>
                    </tr>
                    <tr>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE MARIMBONDO OU VESPA</td>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE MORCEGO</td>
                    </tr>
                    <tr>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE LESMA</td>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE BROCA</td>
                    </tr>
                    <tr>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE PRAGAS DE GRÃOS ARMAZENADOS</td>
                        <td style="width: 5px;"></td>
                        <td>MONITORAMENTO DE ARMADILHAS LUMINOSAS</td>
                    </tr>
                    <tr>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE PRAGAS DE JARDIM</td>
                        <td style="width: 5px;"></td>
                        <td>ANALISE DE AGUA</td>
                    </tr>
                    <tr>
                        <td style="width: 5px;"></td>
                        <td>MONITORAMENTO DE ARMADILHAS BIOLÓGICAS</td>
                        <td style="width: 5px;"></td>
                        <td>DESINFECÇÃO E HIGIENIZAÇÃO DE CAIXA D' ÁGUA</td>
                    </tr>
                    <tr>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE LARVAS DE MOSQUITOS</td>
                        <td style="width: 5px;"></td>
                        <td>DESENTUPIMENTO</td>
                    </tr>
                    <tr>
                        <td style="width: 5px;"></td>
                        <td>CONTROLE DE POMBO/AVES</td>
                        <td style="width: 5px;"></td>
                        <td>LIMPEZA DE CAIXA DE GORDURA</td>
                    </tr>
                </table>
        </div>
        <div class="content p-1">
            <b>Observação: </b>
            <hr>
            </hr>
            <b>Valor: R$&emsp;___________________&emsp;&emsp;&emsp;&emsp;&emsp; Forma de Pagamento:</b> Dinheiro [&emsp;] &emsp;Boleto [&emsp;]</b>
            <hr>
            </hr>
        </div>
        <div class="content p-1">
            <b>Status:</b> Aguardando [&emsp;] &emsp;Aprovado [&emsp;] &emsp;Reprovado [&emsp;]
            <hr>
            </hr>
        </div>
        <br>
        <div> ____________________________________ &emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;____________________________________
            <br>
            <b>&emsp;&emsp;&emsp;Assinatura do técnico&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;Assinatura do cliente</b>
        </div>

        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>


    </body>

    </html>
    <script>
        $(function() {
            window.print();
        });
    </script>
<?php

} else {
    header("Location: login.php?access_denied");
}

?>