<?php

session_start();

if (isset($_SESSION['login'])) {

    include_once "model/conexao.class.php";
    include_once "model/servico.class.php";

    $servico = new Servico();

?>

    <!-- Fim - PHP -->

    <!-- HTML -Incluindo Arquivos CSS3, Bootstrap 4, etc -->
    <!DOCTYPE html>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Favicon -->
    <link rel="shortcut icon" href="assets/img/icon.jpg">
    <title>Intranet MBM - Gerenciamento de Serviços</title>
    <!-- Bootstrap 4 -->
    <link rel="stylesheet" type="text/css" href="assets/css/bootstrap/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" />
    <!-- CSS da INDEX -->
    <link rel="stylesheet" href="assets/css/index.css">
    <!-- GoogleFonts - OpenSans -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
    <!-- Fontawesome 5.0-->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
    <script src="https://kit.fontawesome.com/01e6cc872a.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.15/jquery.mask.min.js"></script>
    <script type="text/javascript" src="js/jquery.mask.min.js"></script>
    <script src="assets/js/mascara.js"></script> <!-- Máscara dos formulários input-->
    <link href="//cdn.datatables.net/1.10.15/css/jquery.dataTables.min.css" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
    <!-- Filtrar tabela -->
    <script src="assets/js/sorttable.js"></script>

    <!-- Fim - Arquivos -->

    <div class="d-flex">
        <nav class="sidebar">
            <ul class="list-unstyled">

                <!-- Image of Company -->

                <div class="image_company">
                    <a href="index.php">
                        <a href="index.php">
                            <img src="assets/img/logo.png">
                        </a>
                    </a>
                </div><br><br>

                <span class="text-center logo">
                    ADMINISTRATIVO
                </span>
                <hr>

                <!-- End Img -->

                <!-- List of Menu and Icons -->

                <li><a href="index.php"><i class="fa fa-home"></i> Início</a></li>

                <li><a href="listarOrcamento.php"><i class="far fa-calendar-check"></i> Orçamento</a></li>

                <li><a href="ordemServico.php"><i class="fas fa-concierge-bell"></i></i> Ordem de Serviço</a></li>

                <li><a href="listarContratos.php"><i class="far fa-newspaper"></i> Contratos</a></li>

                <li><a href="buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

                <li><a href="buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

                <li><a href="admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

                <!-- Button of Logoff -->

                <li><a href="controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

                <!-- End - Button of Logoff -->

            </ul>
        </nav>

        <!-- End of Menu -->

        <!-- Iniciando Tabela -->
        <?php include 'error.php'; ?>
        <div class="content p-1">
            <div class="list-group-item" style="background-color: #eaeef3">

                <div class="mr-auto p-2">
                    <h2 class="text-center"> Gerenciamento de Serviço </h2><br>
                </div>


                <br><br>
                <!-- Pesquisar -->

                <!-- Script para filtrar a pesquisa -->
                <script>
                    $(document).ready(function() {
                        $("#myInput").on("keyup", function() {
                            var value = $(this).val().toLowerCase();
                            $("#myTableProduto tr").filter(function() {
                                $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
                            });
                        });
                    });
                </script>

                <input id="myInput" type="text" placeholder="Pesquisar..">
                <button type="button" class="btn btn-success form_jquery_inserir buttonAdd">Cadastrar Novo Serviço<i class="fas fa-concierge-bell"></i></button>

                <form method="POST" action="controller/transactionControllerInsertServico.php" class="formulario_inserir">
                    <div>
                        <br>
                        <h3 class="text-center"> Cadastrar Novo Serviço</h3>
                        <hr />

                        <div class="form-row ">
                            <div class="col">
                                <label>Nome do novo serviço:</label><br>
                                <input name="descricaoServico" id="myInput2" type="text">
                                <button class="btn btn-primary buttonAdd">Inserir Novo serviço <i class="fas fa-concierge-bell"></i></button>
                            </div>
                        </div>
                    </div>
                    <br>
                </form>

                <!-- Iniciando a Tabela -->
                <div class="table table-hover table-wrapper-scroll-y my-custom-scrollbar">
                    <table class="table table-bordered table-striped mb-0 sortable">
                        <thead class="thead">
                            <tr>
                                <th>ID</th>
                                <th>DESCRIÇÃO</th>
                                <th>EDITAR</th>
                            </tr>
                        </thead>
                        <tbody id="myTableProduto">
                            <?php foreach ($servico->listarServico() as $listaservico) : ?>
                                <tr class="tr">
                                    <td><?php echo $listaservico['idServico']; ?></td>
                                    <td><?php echo $listaservico['descricaoServico']; ?></td>

                                    <td>
                                        <form method="POST" action="view/add_transacao_servico.php">
                                            <input type="hidden" name="idServico" value="<?= $listaservico['idServico'] ?>">
                                            <!-- Botão para Transação -->
                                            <button class="btn btn-primary form_jquery_alterar">
                                                <i class="fas fa-tools"></i>
                                            </button>
                                        </form>
                                    </td>

                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>

                    <!-- Fim - Tabela -->

                    <!-- Iniciando a Tabela -->
                </div>

            </div>
        </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.js"> </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"> </script>
    <script type="text/javascript" src="assets/js/script_alterar.js"></script>
    <script type="text/javascript" src="assets/js/script_exclusao.js"></script>
    <script type="text/javascript" src="assets/js/script_inserir.js"></script>

<?php } else {
} ?>