<?php

class Servico extends Conexao{

    //Método para listar serviço

    public function listarServico(){
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM servico";
        $sql = $pdo->prepare($sql);
        $sql->execute();

        if($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    //Metodo para inserir serviço

    public function inserirServico($descricaoServico){
        $pdo = parent::get_instance();
        $sql = "INSERT INTO servico (descricaoServico) VALUES (:descricaoServico)";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":descricaoServico", $descricaoServico);
        $sql->execute();
    }

    //Metodo para alterar serviço
    public function alterarServico($idServico, $descricaoServico)
    {
        $pdo = parent::get_instance();
        $sql = "UPDATE servico SET descricaoServico = :descricaoServico WHERE idServico = :idServico";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idServico", $idServico);
        $sql->bindValue(":descricaoServico", $descricaoServico);
        $sql->execute();
    }

    // Metodo para pegar ID de cada registro

    public function pegarInfo($idServico){
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM servico WHERE idServico = :idServico";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idServico", $idServico);
        $sql->execute();

        if($sql->rowCount() > 0){
            return $sql->fetchAll();
        }
    }

}
