<!-- PHP - Incluindo Arquivos Necessarios -->
<?php

session_start();

if (isset($_SESSION['login'])) {

	include_once "../model/conexao.class.php";
	include_once "../model/servico.class.php";

	$servico = new Servico();
	$idServico = ($_POST['idServico']);

?>

	<!-- Fim - PHP -->

	<!-- HTML -Incluindo Arquivos CSS3, Bootstrap 4, etc -->

	<!DOCTYPE html>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<!-- Favicon -->
	<link rel="shortcut icon" href="../assets/img/icon.jpg">
	<title>Intranet MBM - Gerenciamento de Serviços</title>
	<!-- Bootstrap 4 -->
	<link rel="stylesheet" type="text/css" href="../assets/css/bootstrap/bootstrap.min.css">
	<!-- CSS da INDEX -->
	<link rel="stylesheet" href="../assets/css/index.css">
	<!-- GoogleFonts - OpenSans -->
	<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
	<!-- Fontawesome 5.0-->
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
	<script src="https://kit.fontawesome.com/01e6cc872a.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.15/jquery.mask.min.js"></script>
	<script type="text/javascript" src="js/jquery.mask.min.js"></script>
	<script src="../assets/js/mascara.js"></script> <!-- Máscara dos formulários input-->

	<!-- Fim - Arquivos -->
	<!-- Init of Template -  -->

	<div class="d-flex">
		<nav class="sidebar">
			<ul class="list-unstyled">

				<!-- Image of Company -->

				<div class="image_company">
					<a href="index.php">
						<img src="../assets/img/logo.png">
					</a>
				</div><br><br>

				<span class="text-center logo">
					ADMINISTRATIVO
				</span>
				<hr>

				<!-- End Img -->

				<!-- List of Menu and Icons -->

				<li><a href="../index.php"><i class="fa fa-home"></i> Ordem de Serviço</a></li>

				<li><a href="../buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

				<li><a href="../buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

				<li><a href="../admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

				<!-- Button of Logoff -->

				<li><a href="controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

				<!-- End - Button of Logoff -->

			</ul>
		</nav>

		<!-- End of Menu -->
		<!-- Iniciando Tabela -->

		<div class="content p-1">
			<div class="list-group-item" style="background-color: #eaeef3">

				<div class="mr-auto p-2">
					<h2 class="text-center"> Gerenciamento de serviços - Edição </h2><br>
				</div>

				<div class="text-left">
					<a class="btn btn-secondary" type="button" href="../listarServico.php">Voltar</a>
				</div>

				<br>
				<!-- Iniciando a Tabela -->

				<div class="table-responsive">
					<table class="table table-hover">
						<thead class="thead">

							<tr>
								<th>ID</th>
								<th>DESCRIÇÃO</th>
								<th>EDITAR</th>
							</tr>
						</thead>
						<tbody>
							<?php foreach ($servico->pegarInfo($idServico) as $listaservico) : ?>
								<tr class="tr">

									<td><?php echo $listaservico['idServico']; ?></td>
									<td><?php echo $listaservico['descricaoServico']; ?></td>
									<!-- Botões de Ações -->

									<td>
										<button class="btn btn-primary form_jquery_alterar">
											<i class="fas fa-random"></i>
										</button>

									</td>

									<!-- Fim - Form de Transacao -->

								</tr>
							<?php endforeach; ?>
						</tbody>
					</table>
					<hr>

					<!-- Fim - Tabela -->

					<!-- Formulario JQuery Alterar-->

					<form method="POST" action="../controller/transactionControllerAlterarServico.php" style="font-weight: bold; font-style: italic;" class="formulario_alterar">
						<div class="container">
							<div class="form-row ">
								<div class="col ">
									<label>ID</label>
									<input type="text" name="idServico" class="form-control" readonly value=" <?= $listaservico['idServico'] ?>">
								</div>
								<br>
								<div class="col ">
									<label>Descrição</label>
									<input type="text" name="descricaoServico" class="form-control" value=" <?= $listaservico['descricaoServico'] ?>">
								</div>
								<br>
							</div>
							<div class="form-row">
								<div class="col">
									<br>
									<button class="btn btn-primary float-right">
										Alterar dados do Serviço</i>
									</button>
								</div>
							</div>
						</div>
				</div>
			</div>

			</form>
			<br>

		</div>
	</div>
	</div>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.js"> </script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"> </script>
	<script type="text/javascript" src="../assets/js/jquery-3.3.1.min.js"></script>
	<script type="text/javascript" src="../assets/js/script_alterar.js"></script>
	<script type="text/javascript" src="../assets/js/script_exclusao.js"></script>
	<script type="text/javascript" src="../assets/js/script_inserir.js"></script>

<?php } else {
} ?>